Subject: Re: [PATCH] mergetool--lib: add support for beyond compare

From: Charles Bailey <[email-masked]>
Date: Fri, 18 Feb 2011 09:36:51 +0000

On Fri, Feb 18, 2011 at 09:09:13PM +1300, Chris Packham wrote:
> Add support for Beyond Compare as a diff/merge tool.
> 
> Signed-off-by: Chris Packham <[email-masked]>
> ---
> 
> I wasn't sure about whether git should have support for non-free external
> tools.  Then I saw that support for Araxis had been added in b6f0621a, which
> I've used as a guide for this patch.
 
You right, there is no specific reason not to support non-free merge
tools in mergetool; the major issue is testing. The patch looks
reasonable but I would prefer to see independent confirmation -
especially on windows, Beyond Compares' most popular supported platform
- before this patch is merged.

Charles.